package de.mdelab.mlsdm.interpreter.debug;

import java.util.Map;

import org.eclipse.emf.ecore.EClassifier;

import de.mdelab.mlsdm.interpreter.coverage.CoverageReport;
import de.mdelab.sdm.interpreter.core.debug.SDExecution;
import de.mdelab.sdm.interpreter.core.executionTrace.ExecutionTrace;
import de.mdelab.sdm.interpreter.core.variables.Variable;

public class MLSDMExecution extends SDExecution<CoverageReport, EClassifier> {

	public MLSDMExecution( 	final ExecutionTrace p_executionTrace,
							final CoverageReport p_coverageReport,
							final Map<String, Variable<EClassifier>> p_returnVariables ) {
		super( p_executionTrace, p_coverageReport, p_returnVariables );
	}
}
