package de.mdelab.mlsdm.interpreter.debug.ui;

import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class MLSDMDebugUiPlugin extends AbstractUIPlugin
{

	// The plug-in ID
	//public static final String		PLUGIN_ID	= "de.mdelab.mlsdm.interpreter.debug.ui"; //$NON-NLS-1$

	// The shared instance
	private static MLSDMDebugUiPlugin	plugin;

	/**
	 * The constructor
	 */
	public MLSDMDebugUiPlugin() {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext
	 * )
	 */
	@Override
	public void start(BundleContext context)
	throws Exception {
		super.start(context);
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext
	 * )
	 */
	@Override
	public void stop(BundleContext context) throws Exception
	{
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 * 
	 * @return the shared instance
	 */
	public static MLSDMDebugUiPlugin getDefault()
	{
		return plugin;
	}

}
